- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# include/xapian/termiterator.h File Reference

Classes for iterating through term lists. More...

`#include <iterator>`
`#include <string>`
`#include <xapian/base.h>`
`#include <xapian/types.h>`
`#include <xapian/positioniterator.h>`
`#include <xapian/visibility.h>`

Include dependency graph for termiterator.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | Xapian
## Classes
class | Xapian::TermNameWrapper
class | Xapian::TermIterator
| An iterator pointing to items in a list of terms. More...
## Functions
bool | Xapian::operator== (const TermIterator &a, const TermIterator &b)
bool | Xapian::operator!= (const TermIterator &a, const TermIterator &b)

## Detailed Description

Classes for iterating through term lists.